Ruby: rb_fiber_struct Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Public Member Functions | Data Fields
rb_fiber_struct Struct Reference

## Public Member Functions
| BITFIELD (enum fiber_status, status, 2)

## Data Fields
rb_context_t | cont
VALUE | first_proc
struct rb_fiber_struct * | prev
VALUE | resuming_fiber
unsigned int | yielding: 1
unsigned int | blocking: 1
struct coroutine_context | context
struct fiber_pool_stack | stack

## Detailed Description

Definition at line 234 of file cont.c.

## Member Function Documentation

## ◆ BITFIELD()

rb_fiber_struct::BITFIELD | ( | enum | fiber_status,
|  | status | ,
|  | 2 |
| ) |  |

## Field Documentation

## ◆ blocking

unsigned int rb_fiber_struct::blocking

Definition at line 243 of file cont.c.

Referenced by rb_fiber_start(), rb_fiberptr_blocking(), and rb_threadptr_root_fiber_setup().

## ◆ cont

rb_context_t rb_fiber_struct::cont

Definition at line 235 of file cont.c.

Referenced by rb_fiber_current(), rb_fiber_init_mjit_cont(), rb_fiber_mark_self(), rb_fiber_reset_root_local_storage(), rb_fiber_threadptr(), rb_fiber_update_self(), rb_fiberptr_self(), rb_threadptr_root_fiber_release(), and rb_threadptr_root_fiber_setup().

## ◆ context

struct coroutine_context rb_fiber_struct::context

Definition at line 245 of file cont.c.

## ◆ first_proc

VALUE rb_fiber_struct::first_proc

Definition at line 236 of file cont.c.

Referenced by rb_fiber_start().

## ◆ prev

struct rb_fiber_struct* rb_fiber_struct::prev

Definition at line 237 of file cont.c.

Referenced by rb_fiber_resume_kw().

## ◆ resuming_fiber

VALUE rb_fiber_struct::resuming_fiber

Definition at line 238 of file cont.c.

Referenced by rb_fiber_resume_kw().

## ◆ stack

struct fiber_pool_stack rb_fiber_struct::stack

Definition at line 246 of file cont.c.

## ◆ yielding

unsigned int rb_fiber_struct::yielding

Definition at line 242 of file cont.c.

Referenced by rb_fiber_resume_kw().

The documentation for this struct was generated from the following file:

- cont.c